Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class RPCCallTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.RPCCallTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RPCCallTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Clase que implementa un jsp custom tag para realizar una llamada rpc del lado del servidor como en el siguiente ejemplo: Some Value Some Other Value other something Este snippet lo que hace es una llamada RPC a la funcion doSomething(String someParam,String someOtherParam) del modulo test con los valores de los parametros que se pasan. Adicionalmente se envian un par de datos de protocolo... Lo que se hace es dejar en el contexto de la pagina una variable con un objeto RPCCall Cuando se procesa el tag RPCForm, si se detecta la variable con la llamada RPC directamente se envia la peticion al servidor

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RPCCallTag()`

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getModule()` Devuelve el nombre del modulo sobre el que se hace la llamada rpc
`void` | `release()` Libera recursos
`void` | `setModule(java.lang.String x)` Establece el modulo al que se hace la llamada rpc

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### RPCCallTag

    public RPCCallTag()

Method Detail

### release

    public void release()

  Libera recursos

### doStartTag

    public int doStartTag()

  Process the start of this tag. The default implementation does nothing.

### doEndTag

    public int doEndTag()

  Process the end of this tag. The default implementation does nothing.

### setModule

    public void setModule(java.lang.String x)

  Establece el modulo al que se hace la llamada rpc

### getModule

    public java.lang.String getModule()

  Devuelve el nombre del modulo sobre el que se hace la llamada rpc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD